Package org.kapott.hbci.GV.parsers

## Class SEPAParserFactory

- java.lang.Object
- - org.kapott.hbci.GV.parsers.SEPAParserFactory

    public class SEPAParserFactory
    extends java.lang.Object

Factory zum Erzeugen von Parsern fuer das Einlesen von SEPA-XML-Daten.

### Constructor Summary

Constructors
`SEPAParserFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ISEPAParser` `get​(SepaVersion version)` Gibt den passenden SEPA Parser für die angegebene PAIN-Version.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SEPAParserFactory

    public SEPAParserFactory()

### Method Detail

#### get

    public static ISEPAParser get​(SepaVersion version)

Gibt den passenden SEPA Parser für die angegebene PAIN-Version.

Parameters:
  `version` - die PAIN-Version.
Returns:
  ISEPAParser